Subject: Re: bug#2235: 22.2.1 emacs -Q should not turn on font-lock
From: Stefan Monnier <[email-masked]>
To: Jari Aalto <[email-masked]>
Cc: [email-masked]
Date: Sun, 08 Feb 2009 15:24:09 -0500

> Not just debugging. When other programs call for $EDITOR, the typical
> value is for emacs users is:

>     EDITOR="emacs -Q -nw"

> beacuse most want the editor to start in these cases as fast as
> possible.

I'm not sure where you got the idea that the above is typical.
"-Q" didn't exist before Emacs-22, so it must a recent form of
"typical".  If speed is an issue, the recommendation is rather to use
emacsclient, which will work even better in Emacs-23.

The real problem you're experiencing is that Emacs apparently cannot
reliably determine the background color of your terminal (it can do that
for recent `xterm' IIRC), so it might think it's dark whereas your
is light.

        Stefan